Subject: bug#57372: no-toolkit menu popups do not respect emacs font configuration

From: Po Lu <[email-masked]>
Date: Thu, 25 Aug 2022 09:25:28 +0800

Tomas Hlavaty <[email-masked]> writes:

> I find the alien X resource fonts the ugliest, unreadable and very
> inconvenient because the font size is completely wrong and inconvenient
> to control.

Isn't that a misnomer?  Those are not "X resource fonts", those are core
X fonts, the legacy X font subsystem.

> I do not care much for whatever ugly look the popped up menus have as
> long as they respect faces.  It is just a few lines of text so surely
> that cannot be that ugly if the font fits with the chosen emacs face and
> not some alien X resource or toolkit/desktop font specific configuration
> which is completely out of sync from my emacs face configuration.

Well, that will be very difficult to do ith most toolkits as well.